function varargout=plotGradBaCo(self,varargin)
%  default_PlotOptions={'Marker','.','MarkerSize',6};
  p = inputParser; 
  p.addParamValue('d',self.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('scale',0.5,@isscalar);
%  p.addParamValue('PlotOptions',{},@iscell);
  p.parse(varargin{:});
  R=p.Results;
%  PlotOptions={default_PlotOptions{:},R.PlotOptions{:}};
  if isempty(R.labels), idxlab=self.find(R.d);else idxlab=self.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  for ilab=[idxlab]
    self.sTh{ilab}.plotGradBaCo('scale',R.scale);
  end
  fc_tools.graphics.RestoreHold(PrevHold)
end